accessOverRidePromiseObj Struct Reference

`#include <definitions.h>`

## Public Attributes

int | async_action_status
napi_deferred | deferred
napi_async_work | work
napi_value | result
UplinkAccess | access
char * | bucket
char * | prefix
UplinkEncryptionKey | encryptionKey
UplinkError * | error_result

## Member Data Documentation

## access

UplinkAccess accessOverRidePromiseObj::access

## async_action_status

int accessOverRidePromiseObj::async_action_status

## bucket

char* accessOverRidePromiseObj::bucket

## deferred

napi_deferred accessOverRidePromiseObj::deferred

## encryptionKey

UplinkEncryptionKey accessOverRidePromiseObj::encryptionKey

## error_result

UplinkError* accessOverRidePromiseObj::error_result

## prefix

char* accessOverRidePromiseObj::prefix

## result

napi_value accessOverRidePromiseObj::result

## work

napi_async_work accessOverRidePromiseObj::work

The documentation for this struct was generated from the following file:

- definitions.h